curl --request GET \
--url https://api.treasuryprime.com/digital_wallet_token/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/digital_wallet_token/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/digital_wallet_token/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"card_id": "card_11h5w1kwp9sabc",
"created_at": "2023-08-03T15:33:19Z",
"device": {
"device_id": "01230BDB794680012340018761933446E55590AA589D5E19",
"ip_address": "71.00.00.01",
"location": "40.00/-73.00",
"name": "iPhone",
"phone_number": "1234",
"type": "mobile_phone"
},
"fulfillment": {
"status": "provisioned"
},
"id": "dwt_11jcqme11p6yabc",
"status": "active",
"token_service_provider": {
"network": "mastercard",
"pan_reference_id": "FAPLMC00002647919b243196787642308f0e123f4e6a9ac2",
"token_pan_last4": "9123",
"token_reference_id": "DAPLMC0000264791b80d3526c86242dd854bf8345a4e3a12",
"token_requestor_id": "50110030273",
"token_requestor_name": "apple_pay"
},
"updated_at": "2023-08-03T15:33:20Z"
}Fetch a Token
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Unique identifier for object
Response
The digital_wallet_token
The ID of the card object the token is associated with. Filterable.
Timestamp of when the object was created
An object that defines additional fields for the device that initiated tokenization
Show child attributes
Show child attributes
An object that defines additional fields for fulfillment of the token
Show child attributes
Show child attributes
Unique identifier for object
ID of the organization with which the object is associated. Filterable.
The status of the token. One of: active, requested, request_declined, suspended, terminated. Filterable.
An object that defines additional fields for requestor of the token
Show child attributes
Show child attributes
Timestamp of when the object was updated
Was this page helpful?